Bug 151138 - squid isn't rebuildable against Rawhide
squid isn't rebuildable against Rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 06:30 EST by Robert Scheck
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.5.STABLE9-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 08:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-03-15 06:30:08 EST
Description of problem:
squid isn't rebuildable against Rawhide, fails with this error 
messages:

--- snipp ---
[...]
gcc -DHAVE_CONFIG_H -I. -I. -I../../include -I. -I../../include -
I../../include -I../../src/  -I/usr/kerberos/include     -fPIE -Os -g 
-pipe -fsigned-char -D_REENTRANT -c -o basic/auth_basic.o `test -f 
basic/auth_basic.c || echo './'`basic/auth_basic.c
gcc -DHAVE_CONFIG_H -I. -I. -I../../include -I. -I../../include -
I../../include -I../../src/  -I/usr/kerberos/include     -fPIE -Os -g 
-pipe -fsigned-char -D_REENTRANT -c -o ntlm/auth_ntlm.o `test -f 
ntlm/auth_ntlm.c || echo './'`ntlm/auth_ntlm.c
ntlm/auth_ntlm.c:87: error: static declaration of 
'ntlm_helper_state_pool' follows non-static declaration
ntlm/auth_ntlm.h:88: error: previous declaration of 
'ntlm_helper_state_pool' was here
ntlm/auth_ntlm.c:88: error: static declaration of 'ntlm_user_pool' 
follows non-static declaration
ntlm/auth_ntlm.h:89: error: previous declaration of 'ntlm_user_pool' 
was here
ntlm/auth_ntlm.c:89: error: static declaration of 
'ntlm_request_pool' follows non-static declaration
ntlm/auth_ntlm.h:90: error: previous declaration of 
'ntlm_request_pool' was here
make[4]: *** [ntlm/auth_ntlm.o] Error 1
make[4]: *** Waiting for unfinished jobs....
make[4]: Leaving directory `/usr/src/redhat/BUILD/squid-
2.5.STABLE8/src/auth'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/squid-
2.5.STABLE8/src/auth'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/squid-
2.5.STABLE8/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/squid-
2.5.STABLE8/src'
make: *** [all-recursive] Error 1
--- snapp ---

Version-Release number of selected component (if applicable):
squid-2.5.STABLE8-2

How reproducible:
Everytime, try to rebuild squid.

Actual results / Expected results:
Squid should be rebuildable.
Comment 1 Robert Scheck 2005-03-17 08:41:32 EST
Fixed in 2.5.STABLE9-2, closing now.

Note You need to log in before you can comment on or make changes to this bug.